Outil de développement

LESSPIP

Intégration de l’implémentation php de LESS

Préfixe : lesspip
Mis à jour le 2 avril 2017
  • SPIP 2.0
  • SPIP 2.1

0.2.0 - en développement

Compatible : SPIP 2.0 SPIP 2.1
Afficher la description

LESS est une extension de CSS ajoutant les variables, les classes, les opérations, les imbrications au langage. Facilitant ainsi l’écriture de feuilles de style complexes. http://leafo.net/lessphp/

Ce plugin créé les fichiers css correspondant à vos fichiers less dans le répertoire où ces derniers ont été créés.

Version
0.2.0
Compatiblité
SPIP ≥ 2.0.0 et ≤ 2.1.*
État
en développement
Auteur
Jean-Baptiste Bourgoin
Licence
MIT
Archive
lesspip.zip
Taille
64.8 ko
Générée le
03-11-2017 15:18
Hébergée par
SPIP-Zone - Plugins

Dernières modifications

Information non disponible

Messages de forum

  • 23 septembre : La version 1.4.4 fonctionne sans problème pour moi. Merci pour la réactivité ainsi que pour tout (...)
  • 22 septembre : C’est une syntaxe utilisée dans les dernières versions de PHP. J’ai corrigé sur la version 1.4.4 (...)
  • 22 septembre : La dernière mise à jour de Lesscss provoquait le message d’erreur « parse error unexpected [ in (...)
  • 8 février : Au niveau du compilateur, il nous a été conseillé de désactiver la ligne suivante : $out = (...)
  • 21 janvier 2018 : Et bien ça alors ! ça marche ! Et cela me mets bien le résultat de la compilation dans le flux (...)
  • 19 janvier 2018 : j’ai fait un essai : il est inutile de mettre la syntaxe des balises spip : manifestement, quand (...)
  • 17 janvier 2018 : Bonjour à tous J’ai créé un plugin qui se base sur SPIPr en y ajoutant des fonctionnalités qui me (...)
  • 8 octobre 2017 : J’ai trouvé : il fallait supprimer le timestamp avant de faire le filtre less : <span (...)
  • 8 octobre 2017 : Bonjour, J’utilise cette syntaxe dans une feuille CSS dynamique qui appelle une feuille less (...)
  • 15 août 2017 : Effectivement, « Less CSS » et « ScssPhp » utilisent des fonctions qui ont le même nom, donc ça ne (...)
Plugins SPIP
Ce site sous SPIP 3.2.4 SVN [24325] utilise les plugins :